enum Flavor {
  DEVELOPMENT,
  PRODUCTION
}

class Config {
  static Flavor appFlavor;
  static const DEFAULT_APP_HOST = "https://demo1.vereign.com";
  static const HOSTS = [
    'https://demo1.vereign.com',
    'https://demo2.vereign.com',
    'https://app.vereign.com',
    'https://rosengeorgiev.dev.vereign.com',
    'https://borisdimitrov.dev.vereign.com',
    'https://integration.vereign.com',
    'https://staging.vereign.com',
    'https://damyanmitev.dev.vereign.com',
    'https://gospodinbodurov.dev.vereign.com',
    'https://alexeylunin.dev.vereign.com',
    'https://igormarkin.dev.vereign.com',
    'https://mikhaildorokhovich.dev.vereign.com',
    'https://sashailieva.dev.vereign.com',
    'https://alexanderholodov.dev.vereign.com',
    'https://olguncengiz.dev.vereign.com',
    'https://viktorpopov.dev.vereign.com',
    'https://kalincanov.dev.vereign.com',
    'https://alexeykuklin.dev.vereign.com'
  ];

  static Map<String, String> getOAuthParams({host = DEFAULT_APP_HOST}) {
    return {
      "clientId": "123123",
      "clientSecret": "123123",
      "redirectUrl": "app://com.vereign.app/oauth2",
      "authEndpoint": "$host/api/oauth2/authorize",
      "tokenEndpoint": "$host/api/oauth2/token",
    };
  }
}
