#!/usr/bin/env bash

flavor='production'
entryPoint='main.dart'

if [[ $1 == 'development' ]]
then
    flavor='development'
    entryPoint='main-dev.dart'
fi

# Build android
flutter build apk --flavor ${flavor} -t lib/${entryPoint}


# Move packages wherever we need
# cp build/app/outputs/apk/development/release/app-development-release.apk /path
# cp build/app/outputs/apk/production/release/app-production-release.apk /path

# Cleanup
# flutter clean
